***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2021 **************************************
***********************************************************************************************************************

cap log close                            // Verwenden Sie diesen Befehl unmittelbar vor dem Oeffnen eines neuen Log-File
log using "$jout/02_deskriptiv.log", replace       // Geben Sie dem Log-File den gleichen Namen wie dem Do-File

*Informationen und Einstellungen zum Do-File 

**Autor*in: 		Maxi Muster 
**Datum: 			04.05.2050
**Dateiname: 		02_deskriptiv.do


**Datensatz oeffnen 

use "$jdata/01_teildatensatz.dta", clear 

** Häufigkeits- und Kreuztabellen 
tab azubis if bra2017 == 1
tab azubis bra2017 , col     
 /* Hinweis: 
		Verwenden Sie NICHT die Option 'nofreq', 
		wenn Sie Spalten- (oder Zeilen-) Häufigkeiten ausgeben. 
		Andernfalls wird die Ausgabe geloescht. */

bysort bra2017: tab azubis

**Kennzahlen von metrischen Variablen (Summary)
sum ab004_b1w2017 if kmu == 0
sum ab004_b1w2017 if kmu == 0, detail
bysort kmu: sum ab004_b1w2017, detail
sum ab004_b1w2017, detail

**Gewichtete Statistiken 
/* 	Einige der Datensätze des BIBB-FDZ beeinhalten Design- und Anpassungsgewichte, 
	die Sie für Ihre deskriptiven Statistiken nutzen sollten. */
		
*** Geben Sie für die Datenschutzprüfung zunächst die ungewichtete Statistik aus:
***ungewichtete Kreuztabelle
tab azubis kmu, col                          	
*** Gewichtete Kreuztabelle mit den gleichen Variablen ausgeben:
tab azubis kmu [aweight= hr2017q] , col		

//Hinweis: 
	*Zwischen den gewichteten und ungewichteten Statistiken dürfen im Programmcode nur Leerzeilen oder Kommentare
	*enthalten sein. Sonst wird die gewichtete Tabelle mit ausgeblendet und der Kommentar
	*"For data protection reasons, this table has been removed." wird stattdessen im Log-File eingeblendet. 
	*Gewichtete Statistiken ohne die vorherige Berechnung der ungewichteten Statistiken werden grundsätzlich ausgeblendet. 


clear
log close

