***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2022 **************************************
***********************************************************************************************************************

cap log close                            // Verwenden Sie diesen Befehl unmittelbar vor dem Öffnen eines neuen Log-File
log using "$jout/03_analysen.log", replace   // Geben Sie dem Log-File den gleichen Namen wie dem Do-File

*Informationen und Einstellungen zum Do-File 

**Autor*in: 		Maxi Muster 
**Datum: 			04.05.2050
**Dateiname: 		03_analysen.do


**Datensatz öffnen 
use "$jdata/01_teildatensatz.dta", clear

** Korrelationen
*corr ab004_b1w2017 bra2017 kmu
pwcorr ab004_b1w2017 bra2017 kmu , obs // Für den Befehl pwcorr ist die Option 'obs' zwingend notwendig.


**Regression
*!!Vor jeder Regression geben Sie bitte die univariaten Statistiken zu den verwendeten Variablen aus!

**Univariate Statistiken zu den Variablen der Regression 

sum ab004_b1w2017 
tab bra2017 
tab kmu 

** Multivariate lineare Regression: 
*** av: ab004_b1w2017
*** uv: grkl2017, wo2017

reg ab004_b1w2017 ib4.bra2017 kmu


clear
log close
