***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2021 **************************************
***********************************************************************************************************************

cap log close                            // Verwenden Sie diesen Befehl unmittelbar vor dem Öffnen eines neuen Log-File
log using "$jout/04_plot.log", replace   // Geben Sie dem Log-File den gleichen Namen wie dem Do-File

*Informationen und Einstellungen zum Do-File 

**Autor*in: 		Maxi Muster 
**Datum: 			04.05.2050
**Dateiname: 		04_plot.do


**Datensatz öffnen 
use "$jdata/01_teildatensatz.dta", clear

/* HINWEIS: 
	- Zur Überprüfung des Outputs müssen Sie die Anzahl der Beobachtungen ausweisen, auf denen die Werte basieren.
	- Zeigen Sie die Anzahl der Beobachtungen entweder im Diagramm selbst oder in Tabellen an, 
	  die DIREKT vor oder nach der Erstellung der Diagramme platziert werden.
	- Bitte kommentieren Sie ausreichend, was in der Grafik dargestellt wird. */

**Abbildung 1 erstellen
graph box ab004_b1w2017, over(kmu)

*** Statistik zu Abbildung 1 ausgeben 
bysort kmu: sum ab004_b1w2017, detail   /* Es müssen die Werte aus der Abbildung kenntlich werden. 
										Bei Boxplots ist daher detail verpflichtend.*/

***Abbildung 1 abspeichern im Internal Mode
**** Im Internal Mode können Grafiken nur als .png angezeigt werden, andere Grafikformate werden nicht ausgegeben. 
graph export "$jout/04_plot_Abb1.png", replace     // Grafik in png exportieren

***Abbildung 1 abspeichern im Presentation Mode
*** Im Presentation Mode sind zusätzlich weitere Grafik-Formate erlaubt: 

**** - .eps 
graph export "$jout/04_plot_Abb1.eps", replace 

**** - .pdf  
graph export "$jout/04_plot_Abb1.pdf", replace as(pdf)

**** - .svg
graph export "$jout/04_plot_Abb1.svg", replace as(svg) 


**** - .wmf 
graph export "$jout/04_plot_Abb1.wmf", replace as(wmf) 

**** - .gph (nur mit asis-Option)
graph save "$jout/04_plot_Abb1.gph", replace asis


   
clear
log close
