***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2021 **************************************
***********************************************************************************************************************

**!!!!Dieses Do-File brauchen Sie nur in Ihrer Testumgebung!!!!
**!!!!Laden Sie es nicht auf JoSuA hoch!!!!

/*Hinweis:
- Die globalen Makros im profile.do zu definieren, ist der beste Weg zur Einrichtung Ihrer Testumgebung.
- Die Datei profile.do wird automatisch geladen, wenn Sie Stata starten.
- Dafür sind 2 Schritte notwendig:
        1) Definieren Sie die Globals so, dass sie auf bestehende Verzeichnisse auf Ihrem Computer verweisen.
        2) Verschieben Sie die Datei profile.do in einen Ordner, in dem Stata nach ihr sucht. 
           Es gibt dazu mehrere Möglichkeiten. Wir empfehlen die Datei in Ihr Home-Verzeichnis zu verschieben,
		   z.B. C:\Users\MaxiMuster
           (Wenn Sie sich nicht sicher sind, wie die Datei heißt, öffnen Sie Stata, 
		   geben Sie 'shell' ein und drücken Sie die Eingabetaste, 
		   geben Sie 'echo %USERPROFILE%' in das sich öffnende Fenster ein, 
		   kopieren Sie die Zeile, die zurückgegeben wird, und geben Sie dann 'exit' ein, um das Fenster zu schließen.)
*/


** Globale Makros für Dateipfade definieren

global jrsc "C:/Testprojekt/jrsc/"
global jout "C:/Testprojekt/jout/"
global jprog "C:/Testprojekt/jprog/"
global jdata "C:/Testprojekt/jdata/"

***Auf JoSuA sind globale Makros mit den gleichen Bezeichungen (jrsc, jout etc.) definiert, 
***sodass die Pfade z.B. mit $jrsc angesprochen werden können. 


** OPTIONAL: adopath für $jprog setzen ***  

adopath ++ "$jprog"

*** Stata anweisen, keine ado-files von anderen Verzeichnissen als dem $jprog zu laden
adopath - PERSONAL 
adopath - PLUS
adopath - OLDPLACE
adopath - "."
exit
